Closed Bug 1490724 Opened Last year Closed 10 months ago

Permafailing tier2 java.lang.NoSuchMethodError: org.mozilla.geckoview.GeckoSession$HistoryDelegate$$CC.$$triggerInterfaceInit

Categories

(GeckoView :: General, defect, P5)

defect

Tracking

(geckoview64 unaffected, firefox63 unaffected, firefox64 unaffected, firefox65 fixed)

RESOLVED FIXED
mozilla65
Tracking Status
geckoview64 --- unaffected
firefox63 --- unaffected
firefox64 --- unaffected
firefox65 --- fixed

People

(Reporter: intermittent-bug-filer, Assigned: lina)

References

Details

Attachments

(1 file)

Filed by: rgurzau [at] mozilla.com

https://treeherder.mozilla.org/logviewer.html#?job_id=198867101&repo=try

https://queue.taskcluster.net/v1/task/X8O3_JnWTm62A0WdD9ZLlQ/runs/0/artifacts/public/logs/live_backing.log

task 2018-09-12T13:56:03.466Z] 13:56:03     INFO -  TEST-START | org.mozilla.geckoview.test.AccessibilityTest.testClipboard
[task 2018-09-12T13:59:12.873Z] 13:59:12     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: id=AndroidJUnitRunner
[task 2018-09-12T13:59:12.873Z] 13:59:12     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: current=4
[task 2018-09-12T13:59:12.873Z] 13:59:12     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: class=org.mozilla.geckoview.test.AccessibilityTest
[task 2018-09-12T13:59:12.873Z] 13:59:12     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: stream=
[task 2018-09-12T13:59:12.873Z] 13:59:12     INFO -  org.mozilla.geckoview.test | Error in testClipboard(org.mozilla.geckoview.test.AccessibilityTest):
[task 2018-09-12T13:59:12.874Z] 13:59:12     INFO -  org.mozilla.geckoview.test | org.mozilla.geckoview.test.util.UiThreadUtils$TimeoutException: Timed out after 120000ms
[task 2018-09-12T13:59:12.874Z] 13:59:12     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.util.UiThreadUtils$TimeoutRunnable.run(UiThreadUtils.java:48)
[task 2018-09-12T13:59:12.875Z] 13:59:12     INFO -  org.mozilla.geckoview.test | 	at android.os.Handler.handleCallback(Handler.java:730)
[task 2018-09-12T13:59:12.875Z] 13:59:12     INFO -  org.mozilla.geckoview.test | 	at android.os.Handler.dispatchMessage(Handler.java:92)
[task 2018-09-12T13:59:12.876Z] 13:59:12     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.util.UiThreadUtils.loopUntilIdle(UiThreadUtils.java:100)
[task 2018-09-12T13:59:12.876Z] 13:59:12     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.rule.GeckoSessionTestRule.waitUntilCalled(GeckoSessionTestRule.java:1692)
[task 2018-09-12T13:59:12.877Z] 13:59:12     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.rule.GeckoSessionTestRule.waitUntilCalled(GeckoSessionTestRule.java:1640)
[task 2018-09-12T13:59:12.879Z] 13:59:12     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.rule.GeckoSessionTestRule.waitUntilCalled(GeckoSessionTestRule.java:1593)
[task 2018-09-12T13:59:12.880Z] 13:59:12     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.AccessibilityTest.waitForInitialFocus(AccessibilityTest.kt:136)
[task 2018-09-12T13:59:12.881Z] 13:59:12     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.AccessibilityTest.testClipboard(AccessibilityTest.kt:273)
[task 2018-09-12T13:59:12.882Z] 13:59:12     INFO -  org.mozilla.geckoview.test | 	at java.lang.reflect.Method.invokeNative(Native Method)
[task 2018-09-12T13:59:12.883Z] 13:59:12     INFO -  org.mozilla.geckoview.test | 	at java.lang.reflect.Method.invoke(Method.java:525)
[task 2018-09-12T13:59:12.884Z] 13:59:12     INFO -  org.mozilla.geckoview.test | 	at org.junit.runners.model.FrameworkMethod$1.runReflectiveCall(FrameworkMethod.java:50)
[task 2018-09-12T13:59:12.885Z] 13:59:12     INFO -  org.mozilla.geckoview.test | 	at org.junit.internal.runners.model.ReflectiveCallable.run(ReflectiveCallable.java:12)
[task 2018-09-12T13:59:12.885Z] 13:59:12     INFO -  org.mozilla.geckoview.test | 	at org.junit.runners.model.FrameworkMethod.invokeExplosively(FrameworkMethod.java:47)
[task 2018-09-12T13:59:12.886Z] 13:59:12     INFO -  org.mozilla.geckoview.test | 	at org.junit.internal.runners.statements.InvokeMethod.evaluate(InvokeMethod.java:17)
[task 2018-09-12T13:59:12.887Z] 13:59:12     INFO -  org.mozilla.geckoview.test | 	at android.support.test.internal.runner.junit4.statement.RunBefores.evaluate(RunBefores.java:80)
[task 2018-09-12T13:59:12.887Z] 13:59:12     INFO -  org.mozilla.geckoview.test | 	at android.support.test.internal.runner.junit4.statement.RunAfters.evaluate(RunAfters.java:61)
[task 2018-09-12T13:59:12.888Z] 13:59:12     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.rule.GeckoSessionTestRule$4$1.run(GeckoSessionTestRule.java:1435)
[task 2018-09-12T13:59:12.888Z] 13:59:12     INFO -  org.mozilla.geckoview.test | 	at android.app.Instrumentation$SyncRunnable.run(Instrumentation.java:1719)
[task 2018-09-12T13:59:12.889Z] 13:59:12     INFO -  org.mozilla.geckoview.test | 	at android.os.Handler.handleCallback(Handler.java:730)
[task 2018-09-12T13:59:12.889Z] 13:59:12     INFO -  org.mozilla.geckoview.test | 	at android.os.Handler.dispatchMessage(Handler.java:92)
[task 2018-09-12T13:59:12.890Z] 13:59:12     INFO -  org.mozilla.geckoview.test | 	at android.os.Looper.loop(Looper.java:137)
[task 2018-09-12T13:59:12.890Z] 13:59:12     INFO -  org.mozilla.geckoview.test | 	at android.app.ActivityThread.main(ActivityThread.java:5103)
[task 2018-09-12T13:59:12.891Z] 13:59:12     INFO -  org.mozilla.geckoview.test | 	at java.lang.reflect.Method.invokeNative(Native Method)
[task 2018-09-12T13:59:12.892Z] 13:59:12     INFO -  org.mozilla.geckoview.test | 	at java.lang.reflect.Method.invoke(Method.java:525)
[task 2018-09-12T13:59:12.892Z] 13:59:12     INFO -  org.mozilla.geckoview.test | 	at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:737)
[task 2018-09-12T13:59:12.892Z] 13:59:12     INFO -  org.mozilla.geckoview.test | 	at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:553)
[task 2018-09-12T13:59:12.893Z] 13:59:12     INFO -  org.mozilla.geckoview.test | 	at dalvik.system.NativeStart.main(Native Method)
[task 2018-09-12T13:59:12.893Z] 13:59:12     INFO -  org.mozilla.geckoview.test |
[task 2018-09-12T13:59:12.894Z] 13:59:12     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: numtests=77
[task 2018-09-12T13:59:12.894Z] 13:59:12     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: stack=org.mozilla.geckoview.test.util.UiThreadUtils$TimeoutException: Timed out after 120000ms
[task 2018-09-12T13:59:12.894Z] 13:59:12     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.util.UiThreadUtils$TimeoutRunnable.run(UiThreadUtils.java:48)
[task 2018-09-12T13:59:12.895Z] 13:59:12     INFO -  org.mozilla.geckoview.test | 	at android.os.Handler.handleCallback(Handler.java:730)
[task 2018-09-12T13:59:12.896Z] 13:59:12     INFO -  org.mozilla.geckoview.test | 	at android.os.Handler.dispatchMessage(Handler.java:92)
[task 2018-09-12T13:59:12.896Z] 13:59:12     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.util.UiThreadUtils.loopUntilIdle(UiThreadUtils.java:100)
[task 2018-09-12T13:59:12.897Z] 13:59:12     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.rule.GeckoSessionTestRule.waitUntilCalled(GeckoSessionTestRule.java:1692)
[task 2018-09-12T13:59:12.897Z] 13:59:12     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.rule.GeckoSessionTestRule.waitUntilCalled(GeckoSessionTestRule.java:1640)
[task 2018-09-12T13:59:12.897Z] 13:59:12     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.rule.GeckoSessionTestRule.waitUntilCalled(GeckoSessionTestRule.java:1593)
[task 2018-09-12T13:59:12.898Z] 13:59:12     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.AccessibilityTest.waitForInitialFocus(AccessibilityTest.kt:136)
[task 2018-09-12T13:59:12.898Z] 13:59:12     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.AccessibilityTest.testClipboard(AccessibilityTest.kt:273)
[task 2018-09-12T13:59:12.898Z] 13:59:12     INFO -  org.mozilla.geckoview.test | 	at java.lang.reflect.Method.invokeNative(Native Method)
[task 2018-09-12T13:59:12.899Z] 13:59:12     INFO -  org.mozilla.geckoview.test | 	at java.lang.reflect.Method.invoke(Method.java:525)
[task 2018-09-12T13:59:12.899Z] 13:59:12     INFO -  org.mozilla.geckoview.test | 	at org.junit.runners.model.FrameworkMethod$1.runReflectiveCall(FrameworkMethod.java:50)
[task 2018-09-12T13:59:12.900Z] 13:59:12     INFO -  org.mozilla.geckoview.test | 	at org.junit.internal.runners.model.ReflectiveCallable.run(ReflectiveCallable.java:12)
[task 2018-09-12T13:59:12.901Z] 13:59:12     INFO -  org.mozilla.geckoview.test | 	at org.junit.runners.model.FrameworkMethod.invokeExplosively(FrameworkMethod.java:47)
[task 2018-09-12T13:59:12.901Z] 13:59:12     INFO -  org.mozilla.geckoview.test | 	at org.junit.internal.runners.statements.InvokeMethod.evaluate(InvokeMethod.java:17)
[task 2018-09-12T13:59:12.902Z] 13:59:12     INFO -  org.mozilla.geckoview.test | 	at android.support.test.internal.runner.junit4.statement.RunBefores.evaluate(RunBefores.java:80)
[task 2018-09-12T13:59:12.902Z] 13:59:12     INFO -  org.mozilla.geckoview.test | 	at android.support.test.internal.runner.junit4.statement.RunAfters.evaluate(RunAfters.java:61)
[task 2018-09-12T13:59:12.903Z] 13:59:12     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.rule.GeckoSessionTestRule$4$1.run(GeckoSessionTestRule.java:1435)
[task 2018-09-12T13:59:12.903Z] 13:59:12     INFO -  org.mozilla.geckoview.test | 	at android.app.Instrumentation$SyncRunnable.run(Instrumentation.java:1719)
[task 2018-09-12T13:59:12.903Z] 13:59:12     INFO -  org.mozilla.geckoview.test | 	at android.os.Handler.handleCallback(Handler.java:730)
[task 2018-09-12T13:59:12.904Z] 13:59:12     INFO -  org.mozilla.geckoview.test | 	at android.os.Handler.dispatchMessage(Handler.java:92)
[task 2018-09-12T13:59:12.904Z] 13:59:12     INFO -  org.mozilla.geckoview.test | 	at android.os.Looper.loop(Looper.java:137)
[task 2018-09-12T13:59:12.905Z] 13:59:12     INFO -  org.mozilla.geckoview.test | 	at android.app.ActivityThread.main(ActivityThread.java:5103)
[task 2018-09-12T13:59:12.905Z] 13:59:12     INFO -  org.mozilla.geckoview.test | 	at java.lang.reflect.Method.invokeNative(Native Method)
[task 2018-09-12T13:59:12.906Z] 13:59:12     INFO -  org.mozilla.geckoview.test | 	at java.lang.reflect.Method.invoke(Method.java:525)
[task 2018-09-12T13:59:12.906Z] 13:59:12     INFO -  org.mozilla.geckoview.test | 	at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:737)
[task 2018-09-12T13:59:12.906Z] 13:59:12     INFO -  org.mozilla.geckoview.test | 	at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:553)
[task 2018-09-12T13:59:12.907Z] 13:59:12     INFO -  org.mozilla.geckoview.test | 	at dalvik.system.NativeStart.main(Native Method)
[task 2018-09-12T13:59:12.907Z] 13:59:12     INFO -  org.mozilla.geckoview.test |
[task 2018-09-12T13:59:12.908Z] 13:59:12     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: test=testClipboard
[task 2018-09-12T13:59:12.908Z] 13:59:12     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS_CODE: -2
[task 2018-09-12T13:59:12.909Z] 13:59:12  WARNING -  TEST-UNEXPECTED-FAIL | org.mozilla.geckoview.test.AccessibilityTest.testClipboard | status -2
[task 2018-09-12T13:59:12.909Z] 13:59:12     INFO -  TEST-INFO took 189424ms
https://wiki.mozilla.org/Bug_Triage#Intermittent_Test_Failure_Cleanup
Status: NEW → RESOLVED
Closed: Last year
Resolution: --- → INCOMPLETE
Recent failure log: https://treeherder.mozilla.org/logviewer.html#?job_id=210742759&repo=mozilla-central&lineNumber=1505

[task 2018-11-09T06:09:09.820Z] 06:09:09     INFO -  TEST-START | org.mozilla.geckoview.test.AccessibilityTest.testClipboard
[task 2018-11-09T06:11:55.746Z] 06:11:55     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: id=AndroidJUnitRunner
[task 2018-11-09T06:11:55.746Z] 06:11:55     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: current=10
[task 2018-11-09T06:11:55.846Z] 06:11:55     INFO -  org.mozilla.geckoview.test |
[task 2018-11-09T06:11:55.848Z] 06:11:55     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: class=org.mozilla.geckoview.test.AccessibilityTest
[task 2018-11-09T06:11:55.848Z] 06:11:55     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: stream=
[task 2018-11-09T06:11:55.848Z] 06:11:55     INFO -  org.mozilla.geckoview.test | Error in testClipboard(org.mozilla.geckoview.test.AccessibilityTest):
[task 2018-11-09T06:11:55.849Z] 06:11:55     INFO -  org.mozilla.geckoview.test | org.mozilla.geckoview.test.util.UiThreadUtils$TimeoutException: Timed out after 120000ms
[task 2018-11-09T06:11:55.850Z] 06:11:55     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.util.UiThreadUtils$TimeoutRunnable.run(UiThreadUtils.java:56)
[task 2018-11-09T06:11:55.853Z] 06:11:55     INFO -  org.mozilla.geckoview.test | 	at android.os.Handler.handleCallback(Handler.java:730)
[task 2018-11-09T06:11:55.854Z] 06:11:55     INFO -  org.mozilla.geckoview.test | 	at android.os.Handler.dispatchMessage(Handler.java:92)
[task 2018-11-09T06:11:55.855Z] 06:11:55     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.util.UiThreadUtils.loopUntilIdle(UiThreadUtils.java:154)
[task 2018-11-09T06:11:55.857Z] 06:11:55     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.rule.GeckoSessionTestRule.waitUntilCalled(GeckoSessionTestRule.java:1640)
[task 2018-11-09T06:11:55.859Z] 06:11:55     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.rule.GeckoSessionTestRule.waitUntilCalled(GeckoSessionTestRule.java:1588)
[task 2018-11-09T06:11:55.859Z] 06:11:55     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.rule.GeckoSessionTestRule.waitUntilCalled(GeckoSessionTestRule.java:1541)
[task 2018-11-09T06:11:55.860Z] 06:11:55     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.AccessibilityTest.waitForInitialFocus(AccessibilityTest.kt:150)
[task 2018-11-09T06:11:55.860Z] 06:11:55     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.AccessibilityTest.waitForInitialFocus$default(AccessibilityTest.kt:147)
[task 2018-11-09T06:11:55.860Z] 06:11:55     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.AccessibilityTest.testClipboard(AccessibilityTest.kt:296)
[task 2018-11-09T06:11:55.860Z] 06:11:55     INFO -  org.mozilla.geckoview.test | 	at java.lang.reflect.Method.invokeNative(Native Method)
[task 2018-11-09T06:11:55.860Z] 06:11:55     INFO -  org.mozilla.geckoview.test | 	at java.lang.reflect.Method.invoke(Method.java:525)
[task 2018-11-09T06:11:55.861Z] 06:11:55     INFO -  org.mozilla.geckoview.test | 	at org.junit.runners.model.FrameworkMethod$1.runReflectiveCall(FrameworkMethod.java:50)
[task 2018-11-09T06:11:55.861Z] 06:11:55     INFO -  org.mozilla.geckoview.test | 	at org.junit.internal.runners.model.ReflectiveCallable.run(ReflectiveCallable.java:12)
[task 2018-11-09T06:11:55.862Z] 06:11:55     INFO -  org.mozilla.geckoview.test | 	at org.junit.runners.model.FrameworkMethod.invokeExplosively(FrameworkMethod.java:47)
[task 2018-11-09T06:11:55.862Z] 06:11:55     INFO -  org.mozilla.geckoview.test | 	at org.junit.internal.runners.statements.InvokeMethod.evaluate(InvokeMethod.java:17)
[task 2018-11-09T06:11:55.863Z] 06:11:55     INFO -  org.mozilla.geckoview.test | 	at android.support.test.internal.runner.junit4.statement.RunBefores.evaluate(RunBefores.java:80)
[task 2018-11-09T06:11:55.864Z] 06:11:55     INFO -  org.mozilla.geckoview.test | 	at android.support.test.internal.runner.junit4.statement.RunAfters.evaluate(RunAfters.java:61)
[task 2018-11-09T06:11:55.864Z] 06:11:55     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.rule.GeckoSessionTestRule$3$1.run(GeckoSessionTestRule.java:1383)
[task 2018-11-09T06:11:55.864Z] 06:11:55     INFO -  org.mozilla.geckoview.test | 	at android.app.Instrumentation$SyncRunnable.run(Instrumentation.java:1719)
[task 2018-11-09T06:11:55.865Z] 06:11:55     INFO -  org.mozilla.geckoview.test | 	at android.os.Handler.handleCallback(Handler.java:730)
[task 2018-11-09T06:11:55.865Z] 06:11:55     INFO -  org.mozilla.geckoview.test | 	at android.os.Handler.dispatchMessage(Handler.java:92)
[task 2018-11-09T06:11:55.865Z] 06:11:55     INFO -  org.mozilla.geckoview.test | 	at android.os.Looper.loop(Looper.java:137)
[task 2018-11-09T06:11:55.869Z] 06:11:55     INFO -  org.mozilla.geckoview.test | 	at android.app.ActivityThread.main(ActivityThread.java:5103)
[task 2018-11-09T06:11:55.869Z] 06:11:55     INFO -  org.mozilla.geckoview.test | 	at java.lang.reflect.Method.invokeNative(Native Method)
[task 2018-11-09T06:11:55.869Z] 06:11:55     INFO -  org.mozilla.geckoview.test | 	at java.lang.reflect.Method.invoke(Method.java:525)
[task 2018-11-09T06:11:55.869Z] 06:11:55     INFO -  org.mozilla.geckoview.test | 	at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:737)
[task 2018-11-09T06:11:55.869Z] 06:11:55     INFO -  org.mozilla.geckoview.test | 	at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:553)
[task 2018-11-09T06:11:55.869Z] 06:11:55     INFO -  org.mozilla.geckoview.test | 	at dalvik.system.NativeStart.main(Native Method)
[task 2018-11-09T06:11:55.869Z] 06:11:55     INFO -  org.mozilla.geckoview.test |
[task 2018-11-09T06:11:55.869Z] 06:11:55     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: numtests=94
[task 2018-11-09T06:11:55.869Z] 06:11:55     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: stack=org.mozilla.geckoview.test.util.UiThreadUtils$TimeoutException: Timed out after 120000ms
[task 2018-11-09T06:11:55.869Z] 06:11:55     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.util.UiThreadUtils$TimeoutRunnable.run(UiThreadUtils.java:56)
[task 2018-11-09T06:11:55.869Z] 06:11:55     INFO -  org.mozilla.geckoview.test | 	at android.os.Handler.handleCallback(Handler.java:730)
[task 2018-11-09T06:11:55.869Z] 06:11:55     INFO -  org.mozilla.geckoview.test | 	at android.os.Handler.dispatchMessage(Handler.java:92)
[task 2018-11-09T06:11:55.869Z] 06:11:55     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.util.UiThreadUtils.loopUntilIdle(UiThreadUtils.java:154)
[task 2018-11-09T06:11:55.869Z] 06:11:55     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.rule.GeckoSessionTestRule.waitUntilCalled(GeckoSessionTestRule.java:1640)
[task 2018-11-09T06:11:55.870Z] 06:11:55     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.rule.GeckoSessionTestRule.waitUntilCalled(GeckoSessionTestRule.java:1588)
[task 2018-11-09T06:11:55.871Z] 06:11:55     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.rule.GeckoSessionTestRule.waitUntilCalled(GeckoSessionTestRule.java:1541)
[task 2018-11-09T06:11:55.872Z] 06:11:55     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.AccessibilityTest.waitForInitialFocus(AccessibilityTest.kt:150)
[task 2018-11-09T06:11:55.872Z] 06:11:55     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.AccessibilityTest.waitForInitialFocus$default(AccessibilityTest.kt:147)
[task 2018-11-09T06:11:55.873Z] 06:11:55     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.AccessibilityTest.testClipboard(AccessibilityTest.kt:296)
[task 2018-11-09T06:11:55.874Z] 06:11:55     INFO -  org.mozilla.geckoview.test | 	at java.lang.reflect.Method.invokeNative(Native Method)
[task 2018-11-09T06:11:55.875Z] 06:11:55     INFO -  org.mozilla.geckoview.test | 	at java.lang.reflect.Method.invoke(Method.java:525)
[task 2018-11-09T06:11:55.876Z] 06:11:55     INFO -  org.mozilla.geckoview.test | 	at org.junit.runners.model.FrameworkMethod$1.runReflectiveCall(FrameworkMethod.java:50)
[task 2018-11-09T06:11:55.876Z] 06:11:55     INFO -  org.mozilla.geckoview.test | 	at org.junit.internal.runners.model.ReflectiveCallable.run(ReflectiveCallable.java:12)
[task 2018-11-09T06:11:55.876Z] 06:11:55     INFO -  org.mozilla.geckoview.test | 	at org.junit.runners.model.FrameworkMethod.invokeExplosively(FrameworkMethod.java:47)
[task 2018-11-09T06:11:55.877Z] 06:11:55     INFO -  org.mozilla.geckoview.test | 	at org.junit.internal.runners.statements.InvokeMethod.evaluate(InvokeMethod.java:17)
[task 2018-11-09T06:11:55.878Z] 06:11:55     INFO -  org.mozilla.geckoview.test | 	at android.support.test.internal.runner.junit4.statement.RunBefores.evaluate(RunBefores.java:80)
[task 2018-11-09T06:11:55.879Z] 06:11:55     INFO -  org.mozilla.geckoview.test | 	at android.support.test.internal.runner.junit4.statement.RunAfters.evaluate(RunAfters.java:61)
[task 2018-11-09T06:11:55.879Z] 06:11:55     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.rule.GeckoSessionTestRule$3$1.run(GeckoSessionTestRule.java:1383)
[task 2018-11-09T06:11:55.880Z] 06:11:55     INFO -  org.mozilla.geckoview.test | 	at android.app.Instrumentation$SyncRunnable.run(Instrumentation.java:1719)
[task 2018-11-09T06:11:55.881Z] 06:11:55     INFO -  org.mozilla.geckoview.test | 	at android.os.Handler.handleCallback(Handler.java:730)
[task 2018-11-09T06:11:55.881Z] 06:11:55     INFO -  org.mozilla.geckoview.test | 	at android.os.Handler.dispatchMessage(Handler.java:92)
[task 2018-11-09T06:11:55.881Z] 06:11:55     INFO -  org.mozilla.geckoview.test | 	at android.os.Looper.loop(Looper.java:137)
[task 2018-11-09T06:11:55.882Z] 06:11:55     INFO -  org.mozilla.geckoview.test | 	at android.app.ActivityThread.main(ActivityThread.java:5103)
[task 2018-11-09T06:11:55.882Z] 06:11:55     INFO -  org.mozilla.geckoview.test | 	at java.lang.reflect.Method.invokeNative(Native Method)
[task 2018-11-09T06:11:55.882Z] 06:11:55     INFO -  org.mozilla.geckoview.test | 	at java.lang.reflect.Method.invoke(Method.java:525)
[task 2018-11-09T06:11:55.883Z] 06:11:55     INFO -  org.mozilla.geckoview.test | 	at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:737)
[task 2018-11-09T06:11:55.883Z] 06:11:55     INFO -  org.mozilla.geckoview.test | 	at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:553)
[task 2018-11-09T06:11:55.884Z] 06:11:55     INFO -  org.mozilla.geckoview.test | 	at dalvik.system.NativeStart.main(Native Method)
[task 2018-11-09T06:11:55.884Z] 06:11:55     INFO -  org.mozilla.geckoview.test |
[task 2018-11-09T06:11:55.884Z] 06:11:55     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: test=testClipboard
[task 2018-11-09T06:11:55.885Z] 06:11:55     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS_CODE: -2
[task 2018-11-09T06:11:55.885Z] 06:11:55  WARNING -  TEST-UNEXPECTED-FAIL | org.mozilla.geckoview.test.AccessibilityTest.testClipboard | status -2
[task 2018-11-09T06:11:55.885Z] 06:11:55     INFO -  TEST-INFO took 166046ms
Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---
This started permafailing: https://treeherder.mozilla.org/#/jobs?repo=mozilla-central&searchStr=android%2C4.3%2Capi16%2B%2Cccov%2Cdebug%2Ctest-android-em-4.3-arm7-api-16-ccov%2Fdebug-geckoview-junit-2%2C%28gv-junit2%29

Looking at a recent log: https://treeherder.mozilla.org/logviewer.html#?job_id=212392668&repo=mozilla-central&lineNumber=1534
the lines above show the following error:
[task 2018-11-17T11:57:28.321Z] 11:57:28     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: stack=java.lang.NoSuchMethodError: org.mozilla.geckoview.GeckoSession$HistoryDelegate$$CC.$$triggerInterfaceInit
[task 2018-11-17T11:57:28.321Z] 11:57:28     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.util.Callbacks$Default.<clinit>(Callbacks.kt)
[task 2018-11-17T11:57:28.322Z] 11:57:28     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.rule.GeckoSessionTestRule$1.invoke(GeckoSessionTestRule.java:1118)
[task 2018-11-17T11:57:28.322Z] 11:57:28     INFO -  org.mozilla.geckoview.test | 	at $Proxy23.onLocationChange(Native Method)
[task 2018-11-17T11:57:28.322Z] 11:57:28     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.GeckoSession$3.handleMessage(GeckoSession.java:426)
[task 2018-11-17T11:57:28.322Z] 11:57:28     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.GeckoSession$3.handleMessage(GeckoSession.java:402)
[task 2018-11-17T11:57:28.323Z] 11:57:28     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.GeckoSessionHandler.handleMessage(GeckoSessionHandler.java:79)
[task 2018-11-17T11:57:28.323Z] 11:57:28     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.gecko.EventDispatcher$3.run(EventDispatcher.java:356)
[task 2018-11-17T11:57:28.323Z] 11:57:28     INFO -  org.mozilla.geckoview.test | 	at android.os.Handler.handleCallback(Handler.java:730)
[task 2018-11-17T11:57:28.323Z] 11:57:28     INFO -  org.mozilla.geckoview.test | 	at android.os.Handler.dispatchMessage(Handler.java:92)
[task 2018-11-17T11:57:28.324Z] 11:57:28     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.util.UiThreadUtils.loopUntilIdle(UiThreadUtils.java:154)
[task 2018-11-17T11:57:28.325Z] 11:57:28     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.rule.GeckoSessionTestRule.waitForInitialLoad(GeckoSessionTestRule.java:1276)
[task 2018-11-17T11:57:28.326Z] 11:57:28     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.rule.GeckoSessionTestRule.waitForOpenSession(GeckoSessionTestRule.java:1224)
[task 2018-11-17T11:57:28.327Z] 11:57:28     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.rule.GeckoSessionTestRule.openSession(GeckoSessionTestRule.java:1220)
[task 2018-11-17T11:57:28.327Z] 11:57:28     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.rule.GeckoSessionTestRule.prepareStatement(GeckoSessionTestRule.java:1192)
[task 2018-11-17T11:57:28.328Z] 11:57:28     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.rule.GeckoSessionTestRule$3$1.run(GeckoSessionTestRule.java:1383)
[task 2018-11-17T11:57:28.328Z] 11:57:28     INFO -  org.mozilla.geckoview.test | 	at android.app.Instrumentation$SyncRunnable.run(Instrumentation.java:1719)
[task 2018-11-17T11:57:28.329Z] 11:57:28     INFO -  org.mozilla.geckoview.test | 	at android.os.Handler.handleCallback(Handler.java:730)
[task 2018-11-17T11:57:28.330Z] 11:57:28     INFO -  org.mozilla.geckoview.test | 	at android.os.Handler.dispatchMessage(Handler.java:92)
[task 2018-11-17T11:57:28.330Z] 11:57:28     INFO -  org.mozilla.geckoview.test | 	at android.os.Looper.loop(Looper.java:137)
[task 2018-11-17T11:57:28.331Z] 11:57:28     INFO -  org.mozilla.geckoview.test | 	at android.app.ActivityThread.main(ActivityThread.java:5103)
[task 2018-11-17T11:57:28.332Z] 11:57:28     INFO -  org.mozilla.geckoview.test | 	at java.lang.reflect.Method.invokeNative(Native Method)
[task 2018-11-17T11:57:28.333Z] 11:57:28     INFO -  org.mozilla.geckoview.test | 	at java.lang.reflect.Method.invoke(Method.java:525)
[task 2018-11-17T11:57:28.334Z] 11:57:28     INFO -  org.mozilla.geckoview.test | 	at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:737)
[task 2018-11-17T11:57:28.335Z] 11:57:28     INFO -  org.mozilla.geckoview.test | 	at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:553)
[task 2018-11-17T11:57:28.337Z] 11:57:28     INFO -  org.mozilla.geckoview.test | 	at dalvik.system.NativeStart.main(Native Method)
[task 2018-11-17T11:57:28.338Z] 11:57:28     INFO -  org.mozilla.geckoview.test |
[task 2018-11-17T11:57:28.338Z] 11:57:28     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: test=testClipboard
[task 2018-11-17T11:57:28.339Z] 11:57:28     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS_CODE: -2

Might be related to Bug 1494713? 
:lina is there any chance you could take a look at this? Thank you
Flags: needinfo?(lina)
Summary: Intermittent org.mozilla.geckoview.test.AccessibilityTest.testClipboard | status -2 → Permafailing tier2 org.mozilla.geckoview.test.AccessibilityTest.testClipboard | status -2
Summary: Permafailing tier2 org.mozilla.geckoview.test.AccessibilityTest.testClipboard | status -2 → Permafailing tier2 org.mozilla.geckoview.test.AccessibilityTest. tests with status -2 and java.lang.NoSuchMethodError: org.mozilla.geckoview.GeckoSession$HistoryDelegate$$CC.$$triggerInterfaceInit
I wasn't able to repro the failure locally, maybe I'm using a different Java or Kotlin version? I did try adding a stub delegate instead of inheriting the default methods from `GeckoSession.HistoryDelegate`, and that seems to have done the trick.

https://treeherder.mozilla.org/#/jobs?repo=try&revision=d61cc68b1063ef8297a71ee82dbdc3ec8eac3550
Assignee: nobody → lina
Status: REOPENED → ASSIGNED
Flags: needinfo?(lina)
Pushed by kcambridge@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/f21e2839396e
Define a stub `Callbacks.HistoryDelegate` instead of using default methods. r=snorp
https://hg.mozilla.org/mozilla-central/rev/f21e2839396e
Status: ASSIGNED → RESOLVED
Closed: Last year10 months ago
Resolution: --- → FIXED
Target Milestone: --- → Firefox 65
Lina, is this intermittent test failure also affecting 64 Beta? Do we need to uplift your test fix to Beta?
Flags: needinfo?(lina)
See Also: → 1499420
This just fixed the permafail introduced in bug 1494713, which is Nightly-only; looks like the original intermittent is still around, though (bug 1499420).
Flags: needinfo?(lina)
Summary: Permafailing tier2 org.mozilla.geckoview.test.AccessibilityTest. tests with status -2 and java.lang.NoSuchMethodError: org.mozilla.geckoview.GeckoSession$HistoryDelegate$$CC.$$triggerInterfaceInit → Permafailing tier2 java.lang.NoSuchMethodError: org.mozilla.geckoview.GeckoSession$HistoryDelegate$$CC.$$triggerInterfaceInit
status-geckoview64=unaffected
Product: Firefox for Android → GeckoView
Target Milestone: Firefox 65 → mozilla65
You need to log in before you can comment on or make changes to this bug.